---
title: hanging-punctuation
slug: Web/CSS/hanging-punctuation
tags:
  - CSS
  - CSS Property
  - CSS Text
  - Experimental
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>hanging-punctuation</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies whether a punctuation mark should hang at the start or end of a line of text. Hanging punctuation may be placed outside the line box.</span></p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
hanging-punctuation: none;
hanging-punctuation: first;
hanging-punctuation: last;
hanging-punctuation: force-end;
hanging-punctuation: allow-end;

/* Two keywords */
hanging-punctuation: first force-end;
hanging-punctuation: first allow-end;
hanging-punctuation: first last;
hanging-punctuation: last force-end;
hanging-punctuation: last allow-end;

/* Three keywords */
hanging-punctuation: first force-end last;
hanging-punctuation: first allow-end last;

/* Global values */
hanging-punctuation: inherit;
hanging-punctuation: initial;
hanging-punctuation: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<p>The <code>hanging-punctuation</code> property may be specified with one, two, or three values.</p>

<ul>
 <li><strong>One-value</strong> syntax uses any one of the keyword values in the list below.</li>
 <li><strong>Two-value</strong> syntax uses one of the following:
  <ul>
   <li><code>first</code> together with any one of <code>last</code>, <code>allow-end</code>, or <code>force-end</code></li>
   <li><code>last</code> together with any one of <code>first</code>, <code>allow-end</code>, or <code>force-end</code></li>
  </ul>
 </li>
 <li><strong>Three-value</strong> syntax uses one of the following:
  <ul>
   <li><code>first</code>, <code>allow-end</code>, and <code>last</code></li>
   <li><code>first</code>, <code>force-end</code>, and <code>last</code></li>
  </ul>
 </li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>No character hangs.</dd>
 <dt><code>first</code></dt>
 <dd>An opening bracket or quote at the start of the first formatted line of an element hangs.</dd>
 <dt><code>last</code></dt>
 <dd>A closing bracket or quote at the end of the last formatted line of an element hangs.</dd>
 <dt><code>force-end</code></dt>
 <dd>A stop or comma at the end of a line hangs.</dd>
 <dt><code>allow-end</code></dt>
 <dd>A stop or comma at the end of a line hangs if it does not otherwise fit prior to justification.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_opening_and_closing_quotes_to_hang">Setting opening and closing quotes to hang</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate" style="white-space: pre-wrap;">&lt;p&gt;“Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur dignissim nunc mauris, et sollicitudin est scelerisque sed. Praesent laoreet tortor massa, sit amet vulputate nulla pharetra ut.”&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">p {
  hanging-punctuation: first last;
  margin: .5rem;
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_opening_and_closing_quotes_to_hang")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Text", "#hanging-punctuation-property", "hanging-punctuation")}}</td>
   <td>{{Spec2("CSS3 Text")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.hanging-punctuation")}}</p>

<ul>
  <li><a href="https://css-tricks.com/almanac/properties/h/hanging-punctuation/">CSS Tricks: Hanging punctuation</a></li>
 </ul>